#!/usr/bin/env sh

# metrics.sh
#
# Call into the UCP Prometheus metrics server and collect some data

call_metrics() {
    echo "Metrics for $1"
    echo "--------------"
    curl -s -G \
         --cacert /ucp-controller-client-certs/ca.pem \
         --cert /ucp-controller-client-certs/cert.pem \
         --key /ucp-controller-client-certs/key.pem \
         "https://${LOCAL_MANAGER_IP_ADDRESS}:12387/api/v1/query" \
         --data-urlencode "query=$1"
    echo ""
    echo "--------------"
}

get_metric_labels() {
    curl -s \
         --cacert /ucp-controller-client-certs/ca.pem \
         --cert /ucp-controller-client-certs/cert.pem \
         --key /ucp-controller-client-certs/key.pem \
         "https://${LOCAL_MANAGER_IP_ADDRESS}:12387/api/v1/label/__name__/values"
}

get_metric_labels | jq -r '.data[]' | while read label; do call_metrics $label; done
